Subject: bug#48107: 27.2; tags-quiery-replace fails to find occurences

From: "Bob Floyd" <[email-masked]>
Date: Fri, 30 Apr 2021 08:34:29 -0700

Awh, shucks, I was flattered for a moment.

How stable is the development version? Or, will I be disappointed if I use
it for work? Or, how soon will the development version become 27.3?

The issue is driving me nuts and the workaround ....

Thanks,
BOB

-----Original Message-----
From: Gregory Heytings [mailto:[email-masked]] 
Sent: Friday, April 30, 2021 1:59 AM
To: Eli Zaretskii
Cc: [email-masked]; [email-masked]
Subject: Re: bug#48107: 27.2; tags-quiery-replace fails to find occurences

>> Thanks for your bug report.  I can indeed reproduce this with Emacs 
>> 27.2, but not with the development version of Emacs, so this bug has 
>> apparently already been fixed.  I did not find a workaround for Emacs 
>> 27.2 alas, even saving both buffers and manually re-running etags does 
>> not fix the bug.
>
> The workaround for Emacs 27 is to go to BOB in every file that was 
> visited by the original replace.
>

Indeed, that works, thanks.  For Bob Floyd: "go to BOB" is not a reference 
to your first name ;-), it means "go to the beginning of buffer", for 
example with M-<.